%define name ghex
%define release 3mdk
%define version 1.2.1

Name: %name
Summary: GNOME hex editor
Version: %version
Release: %release
License: GPL
Group: Editors
Url: http://pluton.ijs.si/~jaka/gnome.html#GHEX
Source: %name-%{version}.tar.bz2
Source1: gnome-ghex.xpm.bz2
Source2: gnome-ghex-48x48.xpm.bz2
Source3: gnome-ghex-16x16.xpm.bz2
BuildRoot: %_tmppath/%name-%version-buildroot
BuildRequires: gnome-libs-devel gnome-print-devel scrollkeeper
Requires: gnome-print
PreReq: scrollkeeper

%description
GHex - a binary editor

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build

%configure

%make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_iconsdir}/gnome-ghex.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_liconsdir}/gnome-ghex.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/gnome-ghex.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/ghex << EOF
?package(ghex):\
needs="x11"\
section="Applications/Editors"\
title="GNOME Hexedit"\
longtitle="Gnome Hexadecimal Editor"\
command="ghex"\
icon="gnome-ghex.xpm"
EOF

%{find_lang} %name --with-gnome

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%update_menus

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS README ChangeLog
%_bindir/ghex
%_datadir/pixmaps/gnome-ghex.png
%_menudir/ghex
%_datadir/gnome/apps/*/*
%_datadir/omf/*
%_iconsdir/gnome-ghex.xpm
%_liconsdir/gnome-ghex.xpm
%_miconsdir/gnome-ghex.xpm

%changelog
* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-3mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com> :
	- find_lang --with-gnome for help files

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-2mdk
- add url

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-2mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2
- Use scrollkeeper to maintain help database

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-0.2mdk
- Recompiled against latest gnome-print
- add help

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-0.1mdk
- correct release
- used srpm from Gtz Waschk <waschk@linux-mandrake.com

* Wed Feb 21 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.2-0.1mdk
- 1.2-beta1

* Thu Nov 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk 
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- new release

* Thu Jul 20 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.1.3-1mdk
- initial Mandrake package
